<?php
namespace Drupal\pagedesigner\Plugin\pagedesigner\Handler;

use Drupal\Component\Utility\Xss;
use Drupal\pagedesigner\Entity\Element;

/**
 * @PagedesignerHandler(
 *   id = "text",
 *   name = @Translation("Text renderer"),
 *   types = {
 *     "text",
 *   },
 * )
 */
class Text extends Content
{
    /**
     * {@inheritdoc}
     */
    public function get(Element $entity)
    {
        return Xss::filter($entity->field_content->value);
    }
}
