<?php

namespace Drupal\pagedesigner\EventSubscriber;

use Drupal\search_api\Event\SearchApiEvents;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class SearchApiSubscriber implements EventSubscriberInterface
{
    public function mapPagedesignerType(&$mapping)
    {
        $mapping['pagedesigner_item_data'] = 'search_api_html';
    }

    /**
     * {@inheritdoc}
     */
    public static function getSubscribedEvents()
    {
        $events[SearchApiEvents::MAPPING_FIELD_TYPES][] = array('mapPagedesignerType', 256);
        return $events;
    }
}
